---
title: PictureInPictureWindow.onresize
slug: Web/API/PictureInPictureWindow/onresize
tags:
  - API
  - Interface
  - Media
  - Picture-in-Picture
  - Picture-in-Picture API
  - Video
  - pip
---
<div>{{ ApiRef() }}</div>

<p>The <code><strong>onresize</strong></code> property of the {{domxref("PictureInPictureWindow")}} interface is an {{domxref("EventHandler")}} that processes {{domxref("PictureInPictureWindow.resize_event", "PictureInPictureWindow.resize")}} events.</p>

<p>The <code>resize</code> event fires after the floating video window has been resized.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>pictureInPictureWindow</em>.onresize = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("FocusEvent")}} object as its sole argument.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Window_size_logger">Window size logger</h3>

<pre class="brush: html notranslate">&lt;p&gt;Resize the floating video window to fire the &lt;code&gt;resize&lt;/code&gt; event.&lt;/p&gt;
&lt;p&gt;Window height: &lt;span id="height"&gt;&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;Window width: &lt;span id="width"&gt;&lt;/span&gt;&lt;/p&gt;
&lt;video id="video" muted autoplay src=""&gt;&lt;/video&gt;
</pre>

<pre class="brush: js notranslate">const video = document.querySelector('#video');
const heightOutput = document.querySelector('#height');
const widthOutput = document.querySelector('#width');

function resize(evt) {
  heightOutput.textContent = evt.target.width;
  widthOutput.textContent = evt.target.width;
}

video.requestPictureInPicture()
  .then(pictureInPictureWindow =&gt; {
    pictureInPictureWindow.onresize = resize;
  });
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Picture-in-Picture','#dom-pictureinpicturewindow-onresize','PictureInPictureWindow.onresize')}}</td>
   <td>{{Spec2('Picture-in-Picture')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PictureInPictureWindow.onresize")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Picture-in-Picture_API">Picture-in-Picture API</a></li>
</ul>
